Bug 874688 - (Horde_Ldap) Review Request: php-horde-Horde-Ldap - Horde LDAP libraries
Review Request: php-horde-Horde-Ldap - Horde LDAP libraries
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On: Horde_Exception Horde_Util Horde_Test
Blocks: Horde_Core
  Show dependency treegraph
 
Reported: 2012-11-08 11:31 EST by Remi Collet
Modified: 2013-03-21 11:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-16 22:19:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
php-horde-Horde-Ldap-review.txt (6.57 KB, text/plain)
2013-02-04 13:52 EST, Shawn Iwinski
no flags Details
phpci.log (18.63 KB, text/x-log)
2013-02-04 13:52 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2012-11-08 11:31:20 EST
Spec URL: https://raw.github.com/remicollet/remirepo/master/php/horde/php-horde-Horde-Ldap/php-horde-Horde-Ldap.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-horde-Horde-Ldap-2.0.0-1.remi.src.rpm
Description: 
A set of classes for connecting to LDAP servers and working with directory
objects.


Fedora Account System Username: remi
Comment 2 Shawn Iwinski 2013-02-04 13:52:22 EST
Created attachment 692952 [details]
php-horde-Horde-Ldap-review.txt

Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 874688 --mock-config fedora-rawhide-x86_64
Comment 3 Shawn Iwinski 2013-02-04 13:52:48 EST
Created attachment 692953 [details]
phpci.log
Comment 4 Shawn Iwinski 2013-02-04 14:00:14 EST
A couple questions:

1) php(language): I am assuming you are going to wait until the newest version of PHP is pushed to RHEL 5 and 6 before pushing these packages out?  As of today (as far as I know) RHEL's PHP does not provide "php(language)" but I see (in the build system) that you added this virtual provide to new releases.

2) Since "Requires: php(language) >= 5.3.0" shouldn't there also be "BuildRequires: php(language) >= 5.3.0"?



No blockers.



===== APPROVED =====
Comment 5 Shawn Iwinski 2013-02-04 14:20:11 EST
Also, for EPEL 5, the following are missing, but I see a bunch of your back-ports are missing these as well (just pointing these out):

1) "rm -rf %{buildroot}" in %install

2) "%clean
    rm -rf %{buildroot}"
Comment 6 Remi Collet 2013-02-05 02:33:06 EST
For php(language), you're right, I will switch back to php-common until RHEL-6.4 is released. and add the missing backport stuff.

Thanks for the review.

New Package SCM Request
=======================
Package Name: php-horde-Horde-Ldap
Short Description: Horde LDAP libraries
Owners: remi nb
Branches: f18 el6
InitialCC:
Comment 7 Gwyn Ciesla 2013-02-05 08:47:24 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-02-05 11:44:33 EST
php-horde-Horde-Ldap-2.0.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-horde-Horde-Ldap-2.0.2-1.fc18
Comment 9 Fedora Update System 2013-02-05 11:45:04 EST
php-horde-Horde-Ldap-2.0.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-Horde-Ldap-2.0.2-1.el6
Comment 10 Fedora Update System 2013-02-05 16:22:55 EST
php-horde-Horde-Ldap-2.0.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 11 Fedora Update System 2013-02-16 22:19:21 EST
php-horde-Horde-Ldap-2.0.2-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 12 Fedora Update System 2013-02-22 14:05:21 EST
php-horde-Horde-Ldap-2.0.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.